
# Class: ProductInformationVariant

## Hierarchy

* **ProductInformationVariant**

## Index

### Constructors

* [constructor](productinformationvariant.md#constructor)

### Properties

* [id](productinformationvariant.md#id)
* [options](productinformationvariant.md#optional-options)
* [productId](productinformationvariant.md#productid)
* [productVersionId](productinformationvariant.md#productversionid)
* [storefrontProductVariantId](productinformationvariant.md#optional-storefrontproductvariantid)
* [tenantId](productinformationvariant.md#optional-tenantid)

## Constructors

###  constructor

\+ **new ProductInformationVariant**(`dtoVariant?`: ProductVariantDto): *[ProductInformationVariant](productinformationvariant.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoVariant?` | ProductVariantDto |

**Returns:** *[ProductInformationVariant](productinformationvariant.md)*

## Properties

###  id

• **id**: *number*

___

### `Optional` options

• **options**? : *ProductVariantOptionDto[] | null*

___

###  productId

• **productId**: *number*

___

###  productVersionId

• **productVersionId**: *number*

___

### `Optional` storefrontProductVariantId

• **storefrontProductVariantId**? : *string | null*

___

### `Optional` tenantId

• **tenantId**? : *number*
